function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import React from 'react';
import styled from 'styled-components';
import theme from 'styled-theming';
import { lightTheme, darkTheme, selectors } from '@defencedigital/design-tokens';
import { GlobalStyleProvider } from '../../styled-components/GlobalStyle';
var color = selectors.color,
  spacing = selectors.spacing;
var ThemedMain = styled.div.withConfig({
  displayName: "ThemedExample__ThemedMain",
  componentId: "sc-169qjsu-0"
})(["background-color:", ";color:white;padding:", ";"], function (props) {
  return color('neutral', '100', props.theme);
}, function (props) {
  return spacing('4', props.theme);
});
export var CustomTokenSets = function CustomTokenSets() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(ThemedMain, null, "No Provider - Default Theme (Light)"), /*#__PURE__*/React.createElement(GlobalStyleProvider, null, /*#__PURE__*/React.createElement(ThemedMain, null, "Default Theme (Light)")), /*#__PURE__*/React.createElement(GlobalStyleProvider, {
    theme: lightTheme
  }, /*#__PURE__*/React.createElement(ThemedMain, null, "Light Theme")), /*#__PURE__*/React.createElement(GlobalStyleProvider, {
    theme: darkTheme
  }, /*#__PURE__*/React.createElement(ThemedMain, null, "Dark Theme")));
};
var textColor = theme('mode', {
  light: 'white',
  dark: 'black'
});
var backgroundColor = theme('customThemeMode', {
  foo: 'green',
  bar: 'red'
});
var ThemedMain2 = styled.div.withConfig({
  displayName: "ThemedExample__ThemedMain2",
  componentId: "sc-169qjsu-1"
})(["color:", ";background-color:", ";padding:", ";"], textColor, backgroundColor, function (props) {
  return spacing('4', props.theme);
});
export var StyledTheming = function StyledTheming() {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(GlobalStyleProvider, {
    theme: _objectSpread({
      customThemeMode: 'foo'
    }, lightTheme)
  }, /*#__PURE__*/React.createElement(ThemedMain2, null, "Styled Theming (Custom Mode Foo)")), /*#__PURE__*/React.createElement(GlobalStyleProvider, {
    theme: _objectSpread({
      customThemeMode: 'bar'
    }, lightTheme)
  }, /*#__PURE__*/React.createElement(ThemedMain2, null, "Styled Theming (Custom Mode Bar)")));
};